/**************************************************************************
 * copyright file="PhoneNumberKey.java" company="Microsoft"
 *     Copyright (c) Microsoft Corporation.  All rights reserved.
 * 
 * Defines the PhoneNumberKey.java.
 **************************************************************************/
package microsoft.exchange.webservices.data;

/**
 * Defines phone number entries for a contact.
 */
public enum PhoneNumberKey {

	// The assistant's phone number.
	/** The Assistant phone. */
	AssistantPhone,

	// The business fax number.
	/** The Business fax. */
	BusinessFax,

	// The business phone number.
	/** The Business phone. */
	BusinessPhone,

	// The second business phone number.
	/** The Business phone2. */
	BusinessPhone2,

	// The callback number.
	/** The Callback. */
	Callback,

	// The car phone number.
	/** The Car phone. */
	CarPhone,

	// The company's main phone number.
	/** The Company main phone. */
	CompanyMainPhone,

	// The home fax number.
	/** The Home fax. */
	HomeFax,

	// The home phone number.
	/** The Home phone. */
	HomePhone,

	// The second home phone number.
	/** The Home phone2. */
	HomePhone2,

	// The ISDN number.
	/** The Isdn. */
	Isdn,

	// The mobile phone number.
	/** The Mobile phone. */
	MobilePhone,

	// An alternate fax number.
	/** The Other fax. */
	OtherFax,

	// An alternate phone number.
	/** The Other telephone. */
	OtherTelephone,

	// The pager number.
	/** The Pager. */
	Pager,

	// The primary phone number.
	/** The Primary phone. */
	PrimaryPhone,

	// The radio phone number.
	/** The Radio phone. */
	RadioPhone,

	// The Telex number.
	/** The Telex. */
	Telex,

	// The TTY/TTD phone number.
	/** The Tty tdd phone. */
	TtyTddPhone
}
